<script setup lang="ts">
import ProductDialog from '@/components/ProductDialog.vue'
import { useProductStore } from '@/stores/product'
import { time } from 'console'
import { it } from 'node:test'
import { onMounted } from 'vue'

const productStore = useProductStore()

onMounted(() => {
  productStore.getAll()
})
</script>

<template>
  <ProductDialog />
  <v-data-table
    class="h-100"
    fixed-header
    :headers="productStore.headers"
    :items="productStore.items"
    style="background-color: rgba(58, 49, 43, 0.923)"
  >
    <!-- :search="search" -->
    <template #top>
      <v-card class="pa-5">
        <v-row>
          <v-col>
            <h2>Product Management</h2>
          </v-col>
          <v-col cols="1">
            <v-btn @click="productStore.openDialog()"> NEW </v-btn>
          </v-col>
        </v-row>
      </v-card>
    </template>

    <template #item="{ item }">
      <tr>
        <td>{{ item.id }}</td>
        <td>{{ item.name }}</td>
        <td>{{ item.price }}</td>
        <td>{{ item.type }}</td>

        <td>
          <v-icon size="small" class="me-2" @click="productStore.editItem(item)">
            mdi-pencil
          </v-icon>
          <v-icon size="small" @click="productStore.deleteItem(item)"> mdi-delete </v-icon>
        </td>
      </tr>
    </template>
  </v-data-table>
</template>

<style scoped></style>
